#!/bin/bash

if ! [ -e avr-objcopy ]; then
    export PATH=$PATH:/usr/local/avr/gcc/bin
fi

if ! [ -e uisp ]; then
    export PATH=$PATH:/usr/local/avr/tools/bin/
fi


if ! [ -e $1 ]; then
	echo "Uso: $0 <arquivo hex>"
	exit
fi

# Faz o upload pro mica2
uisp -dprog=mib510 -dpart=ATMEGA128 -dserial=/dev/ttyS0 --erase --upload --verify if=$1

exit
